using System;
using System.Reflection.Emit;

internal sealed class Delegate856 : MulticastDelegate
{
	public extern ILGenerator Invoke(object object_0);

	public static ILGenerator smethod_0(object object_0, Delegate856 delegate856_1)
	{
		return delegate856_1(object_0);
	}

	public extern Delegate856(object object_0, IntPtr intptr_0);

	static Delegate856()
	{
		Class10.smethod_13(typeof(Delegate856).TypeHandle);
	}

	internal static Delegate856 delegate856_0;
}
